					XDEF	xgemdoscall
					XDEF	aescall
					
					XREF	_contrl

					TEXT

xgemdoscall:	
					trap	#2
					rts
					
aescall:
					moveq	#0,  d2
					movep.l	d2,  0(a0)
        	movep.l	d1,  1(a0)
        	move.l	d0,    d1
        	move.l	#0xc8, d0
        	trap	#2
        	rts